/* 
 * Formation ENVOL 2014 - Atelier électronique embarquée 2
 * Station météo 2.1 
 * Matériel : idem + Deuligne
 */

// Inclusion de la librairie nécessaire pour la lecture du DHT11
#include <DHT.h>

//Déclaration de la pin reliée au capteur
#define DHTPIN 2

// Déclaration du type de capteur utilisé et initialisation
#define DHTTYPE DHT11
DHT dht(DHTPIN, DHTTYPE);

    /* DEULIGNE */

// Inclusion des librairies nécessaires à l'utilisation du shield Deuligne
#include <Wire.h>
#include <Deuligne.h>

// Déclaration de l'objet LCD
Deuligne LCD;

void setup()
{
  Serial.begin(9600); // Initialisation liaison série
  dht.begin();        // Initialisation DHT11
  
  LCD.init();         // Initialisation Deuligne
}

void loop()
{
  // Relevé des valeurs en provenance du DHT11
  float hum = dht.readHumidity();
  float temp = dht.readTemperature();
  
  // Relevé des valeurs en provenance de la photorésistance et conversion en pourcentage
  // Si Deuligne penser à changer la pin de la photorésistance
  // pour éviter le conflit avec le joystick ! > A1
  int lum = analogRead(1);
  lum = map(lum, 150, 1000, 0, 100); // Valeurs à rajuster si besoin

  // Impression sur moniteur série
  Serial.print("Humidite : ");
  Serial.print(hum);
  Serial.print(" %\t");
  Serial.print("Temperature : ");
  Serial.print(temp);
  Serial.print(" *C\t");
  Serial.print("Luminosite : ");
  Serial.print(lum);
  Serial.println(" %");
  
  // Affichage sur écran
  LCD.print("H= ");
  LCD.print(hum);
  LCD.setCursor(0, 1); // Placement du curseur sur la 1e colonne de la 2e ligne
  LCD.print("T= ");
  LCD.print(temp);
  LCD.print(" L= ");
  LCD.print(lum);
  
  // Délai entre deux mesures/affichages
  delay(2000);
  
  LCD.clear(); // Ecran vierge pour la prochaine boucle
}
